Subject: bug#65359: closed (Re: bug#65359: [PATCH] eglot: add "lexical" LSP server)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Aug 2023 14:12:02 +0000

Your bug report

#65359: [PATCH] eglot: add "lexical" LSP server

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65359: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65359
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65359: [PATCH] eglot: add "lexical" LSP server
From: Eli Zaretskii <[email-masked]>
To: João Távora <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 19 Aug 2023 17:11:24 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: João Távora <[email-masked]>
> Date: Sat, 19 Aug 2023 11:51:48 +0100
> Cc: Mou Tong <[email-masked]>, [email-masked]
> 
> On Sat, Aug 19, 2023 at 9:38 AM Eli Zaretskii <[email-masked]> wrote:
> 
> > > Actually I'd like it got merged so I needn't to keep the hack in my
> > > configuration. (Forgive me laziness...)
> >
> > João, is the below OK with you?  It's for the master branch.
> 
> Yes, it's fine.  Thanks.

Thanks, installed on master, and closing the bug.

Subject: [PATCH] eglot: add "lexical" LSP server
From: Mou Tong <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 18 Aug 2023 01:38:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

There is a new LSP server for elixir: [lexical].

Although it said there had problems to use it with eglot, but I didn't
meet the [problem] it said in the instruction.

And I had used it for serveral projects and it worked fine, I put this
in my config and I don't know if there is a better way:

```emacs-lisp
(with-eval-after-load 'eglot
  (setf (alist-get '(elixir-mode elixir-ts-mode heex-ts-mode)
                   eglot-server-programs
                   nil nil #'equal)
        (eglot-alternatives
         `(("start_lexical.sh")
           ,(if (and (fboundp 'w32-shell-dos-semantics)
                     (w32-shell-dos-semantics))
                '("language_server.bat")
              '("language_server.sh"))))))
```

So I send a patch like this.

[lexical]: https://github.com/lexical-lsp/lexical

[problem]: https://github.com/lexical-lsp/lexical/blob/main/pages/installation.md#vanilla-emacs-with-eglot